Subject: Re: [bitcoin-dev] Revisiting BIP 125 RBF policy.

From: "Russell O'Connor" <[email-masked]>
Date: Tue, 27 Feb 2018 11:25:59 -0500

On Mon, Feb 12, 2018 at 6:42 PM, Peter Todd <[email-masked]> wrote:

>
> Ah ok, I misunderstood and didn't realise you were talking about the case
> where
> Alice re-spends her unconfirmed payment. Unfortunately I don't think that
> case
> is possible to solve without putting some kind of restriction on spending
> unconfirmed outputs; with a restriction it's fairly simple to solve.

When you say that you don't think it is possible to solve, do you mean that
there is a specific problem with this proposal of replacing transactions
when offered a new transaction whose fee rate exceeds the package fee rate
of the original transaction (and ensuring that the fee increase covers the
size of the transactions being ejected)?  Is your concern only about the
ability to computing and track the package fee rate for transactions within
the mempool or is there some other issue you foresee?